Bug 109207 - Scientific Atlanta DPX 100 USB cable modem gives dmesg diagnostic messages; networking can be configured, but refuses to start.
Scientific Atlanta DPX 100 USB cable modem gives dmesg diagnostic messages; n...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-05 12:09 EST by Peter H. Jones
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete dmesg output for reference (9.67 KB, text/plain)
2003-11-05 12:11 EST, Peter H. Jones
no flags Details
Output of lsusb (125 bytes, text/plain)
2003-11-20 16:39 EST, Peter H. Jones
no flags Details
/proc/bus/usb/devices (1.36 KB, text/plain)
2003-11-20 16:40 EST, Peter H. Jones
no flags Details
/proc/bus/usb/drivers (91 bytes, text/plain)
2003-11-20 16:41 EST, Peter H. Jones
no flags Details
dmesg output, USB modem working (9.14 KB, text/plain)
2003-11-20 16:46 EST, Peter H. Jones
no flags Details
dmesg showing failure of USB modem to initialize (9.47 KB, text/plain)
2003-11-21 00:34 EST, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2003-11-05 12:09:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.5)
Gecko/20031007

Description of problem:
Scientific Atlanta DPX 100 USB cable modem gives dmesg diagnostic
messages; networking can be configured, but refuses to start. This
modem works fine if I use its Ethernet connection instead of the USB.

USB mode works fine on WinME, but I had to download drivers from
Scientific Atlanta. I did not find any Linux drivers on their site.
For WinME, I used the driver in
http://www.sciatl.com/consumers/WebSTAR%20100-200%20USB%20Drivers%20v3.22.zip
.

This modem seems to be recognized by module CDCEthernet.c, but I
suspect some additional twaking is required.

My system also has a LinkSys LNE100TX Ethernet adapter; it works fine
on Linux and WinME.


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2088.npt

How reproducible:
Always

Steps to Reproduce:
1. Fresh install of Fedora core; only LinkSys ethernet card is seen
when configuring networking.
2. On reboot, dmesg reveals diagnostic messages related to CDCEthernet.c


Actual Results:  Attempting to add cable modem as a hardware device
and a network configuration appear to work, but attempting to Activate
the new connection gives a "Device does not appear to be present"
error. On shutdown, I notice a brief message saying "no way to stop
network traffic".
    

Expected Results:  USB Ethernet and Linksys Ethernet should function
independently.

Additional info:

Relevant dmesg output:

usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 20:47:27 Oct  9 2003
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 10 for device 00:07.3
PCI: Sharing IRQ 10 with 00:07.2
PCI: Sharing IRQ 10 with 00:0a.0
usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Found IRQ 10 for device 00:07.2
PCI: Sharing IRQ 10 with 00:07.3
PCI: Sharing IRQ 10 with 00:0a.0
usb-uhci.c: USB UHCI at I/O 0xef40, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
hub.c: new USB device 00:07.2-2, assigned address 2
usb.c: USB device 2 (vend/prod 0x69a/0x402) is not claimed by any
active driver.
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,7), internal journal
Adding Swap: 2104472k swap-space (priority -1)
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a2504, burb c54a236c
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6
usb.c: registered new driver acm
acm.c: v0.21:USB Abstract Control Model driver for USB modems and ISDN
adapters
CDCEther.c: CDCEther.c: 0.98.6 7 Jan 2002 Brad Hards and another
usb.c: registered new driver CDCEther
CDCEther.c: Ethernet information found at device configuration. 
Trying to use it anyway.
CDCEther.c: Found Header descriptor, CDC version 110.
CDCEther.c: Imperfect filtering support - need sw hashing
CDCEther.c: Can't use SetEthernetMulticastFilters request
CDCEther.c: detected BULK OUT packets of size 64
CDCEther.c: interrupt address: 5
CDCEther.c: interrupt interval: 64
divert: allocating divert_blk for eth0
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a21d4, burb c54a236c
usb.c: error getting string descriptor 0 (error=-6)
CDCEther.c: Attempting to get MAC address failed: 6
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a21d4, burb c54a236c
usb.c: error getting string descriptor 0 (error=-6)
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a21d4, burb c54a236c
usb.c: error getting string descriptor 0 (error=-6)
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a21d4, burb c54a236c
usb.c: error getting string descriptor 0 (error=-6)
CDCEther.c: eth0:   
CDCEther.c: eth0: 00:00:00:00:00:00
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a236c, burb c54a225c
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 71 ret -6
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a225c, burb c54a236c
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 71 ret -6
usb-uhci.c: ENXIO 80000280, flags 0, urb c54a236c, burb c54a225c
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6

End of dmesg sample
Comment 1 Peter H. Jones 2003-11-05 12:11:27 EST
Created attachment 95733 [details]
Complete dmesg output for reference
Comment 2 Pete Zaitcev 2003-11-20 14:54:19 EST
Ugh, a hardware-specific bug... I'll see what I can do.
Please attach contents of /proc/bus/usb/devices
and output of "lsusb" with the modem connected.
I wish to see those mysterious descriptors...
Comment 3 Peter H. Jones 2003-11-20 16:39:32 EST
Created attachment 96095 [details]
Output of lsusb

As requested
Comment 4 Peter H. Jones 2003-11-20 16:40:31 EST
Created attachment 96096 [details]
/proc/bus/usb/devices
Comment 5 Peter H. Jones 2003-11-20 16:41:45 EST
Created attachment 96099 [details]
/proc/bus/usb/drivers

Not requested, sending it anyway
Comment 6 Peter H. Jones 2003-11-20 16:46:23 EST
Created attachment 96100 [details]
dmesg output, USB modem working

Since original submission, I have updated system to Fedora Core 1. USB modem is
now working! But the network device control tool shows the hardware device as
the Network Everywhere card that is also in the machine. Also, the USB modem is
not offered as a choice when adding a hardware device manually, as far as I can
tell. I would appreciate a knowledgeable review of the dmesg output.
Comment 7 Peter H. Jones 2003-11-20 16:55:08 EST
I have grep'ed dmesg output with usb, and underlined error messages:

usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 15:37:48 Oct 29 2003
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
usb-uhci.c: USB UHCI at I/O 0xef40, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
usb.c: USB device 2 (vend/prod 0x69a/0x402) is not claimed by any
active driver.usb-uhci.c: ENXIO 80000280, flags 0, urb c5cce240, burb
c79e3f40
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6
___________
usb.c: registered new driver acm
usb.c: registered new driver CDCEther
usb-uhci.c: ENXIO 80000280, flags 0, urb c79e3f40, burb c5cce240
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6
________________________________
Comment 8 Peter H. Jones 2003-11-21 00:34:04 EST
Created attachment 96113 [details]
dmesg showing failure of USB modem to initialize

After leaving the machine off for a few hours, I tried rebooting. This time,
the USB modem failed to start. I am attaching the dmesg for this failure. A
context diff is below:
------------------------------------------------------
*** dmesg.out	2004-11-20 16:23:03.000000000 -0500
--- dmesg.fail	2003-11-21 00:02:01.000000000 -0500
***************
*** 23,29 ****
  Kernel command line: ro root=LABEL=/ hdd=ide-scsi rhgb
  ide_setup: hdd=ide-scsi
  Initializing CPU#0
! Detected 1202.153 MHz processor.
  Console: colour VGA+ 80x25
  Calibrating delay loop... 2398.61 BogoMIPS
  Memory: 125640k/130944k available (1482k kernel code, 4916k reserved, 1110k
data, 136k init, 0k highmem)
--- 23,29 ----
  Kernel command line: ro root=LABEL=/ hdd=ide-scsi rhgb
  ide_setup: hdd=ide-scsi
  Initializing CPU#0
! Detected 1202.148 MHz processor.
  Console: colour VGA+ 80x25
  Calibrating delay loop... 2398.61 BogoMIPS
  Memory: 125640k/130944k available (1482k kernel code, 4916k reserved, 1110k
data, 136k init, 0k highmem)
***************
*** 134,140 ****
  usb.c: USB device 2 (vend/prod 0x69a/0x402) is not claimed by any active
driver.
  EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,6), internal journal
  Adding Swap: 2104472k swap-space (priority -1)
! usb-uhci.c: ENXIO 80000280, flags 0, urb c5cce240, burb c79e3f40
  usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6
  usb.c: registered new driver acm
  acm.c: v0.21:USB Abstract Control Model driver for USB modems and ISDN
adapters
--- 134,140 ----
  usb.c: USB device 2 (vend/prod 0x69a/0x402) is not claimed by any active
driver.
  EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,6), internal journal
  Adding Swap: 2104472k swap-space (priority -1)
! usb-uhci.c: ENXIO 80000280, flags 0, urb c5bb3240, burb c79e5f40
  usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6
  usb.c: registered new driver acm
  acm.c: v0.21:USB Abstract Control Model driver for USB modems and ISDN
adapters
***************
*** 147,157 ****
  CDCEther.c: detected BULK OUT packets of size 64
  CDCEther.c: interrupt address: 5
  CDCEther.c: interrupt interval: 64
! divert: allocating divert_blk for eth0
! usb-uhci.c: ENXIO 80000280, flags 0, urb c79e3f40, burb c5cce240
  usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6
  CDCEther.c: eth0: S-A USB Cable Modem 00407B74C37F
  CDCEther.c: eth0: 00:40:7B:74:C3:7F
  kjournald starting.  Commit interval 5 seconds
  EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,8), internal journal
  EXT3-fs: mounted filesystem with ordered data mode.
--- 147,159 ----
  CDCEther.c: detected BULK OUT packets of size 64
  CDCEther.c: interrupt address: 5
  CDCEther.c: interrupt interval: 64
! usb-uhci.c: ENXIO 80000280, flags 0, urb c79e5e40, burb c5bb3240
  usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 9 ret -6
+ divert: allocating divert_blk for eth0
  CDCEther.c: eth0: S-A USB Cable Modem 00407B74C37F
  CDCEther.c: eth0: 00:40:7B:74:C3:7F
+ usb-uhci.c: ENXIO 80000280, flags 0, urb c5bb33c0, burb c5bb3240
+ usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 18 ret -6
  kjournald starting.  Commit interval 5 seconds
  EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,8), internal journal
  EXT3-fs: mounted filesystem with ordered data mode.
***************
*** 189,194 ****
--- 191,200 ----
  CDCEther.c: eth0: too many MC filters for hardware, using allmulti
  CDCEther.c: eth0: too many MC filters for hardware, using allmulti
  CDCEther.c: eth0: too many MC filters for hardware, using allmulti
+ CDCEther.c: eth0: too many MC filters for hardware, using allmulti
+ CDCEther.c: eth0: too many MC filters for hardware, using allmulti
+ CDCEther.c: No way to disable net traffic
+ CDCEther.c: eth0 intr status -2
  cdrom: This disc doesn't have any tracks I recognize!
  es1371: version v0.32 time 15:37:26 Oct 29 2003
  PCI: Found IRQ 9 for device 00:09.0
------------------------------------------------------

Disconected USB cable, reconnected Ethernet cable, cycled power on modem.
Rebooted; network start was fine.
Comment 9 Pete Zaitcev 2003-11-21 01:04:58 EST
Extra controls are from devlabel trying to get non-existent descriptors.
Looks benign.

You need to file a different bug against the Network Control Tool.
Its component name is redhat-config-network.

I'll look into long-term running.
Comment 10 Pete Zaitcev 2004-08-19 19:39:06 EDT
Peter, what is the situation here?

Did you have a chance to try FC2 with the same equipment?
We're replacing CDCEther with usbnet there, it's a way better driver.
Might fix all your problems.
Comment 11 David Lawrence 2004-09-29 15:35:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.